%define         major 0
%define         libname %mklibname cryptmount %major
%define         develname %mklibname -d cryptmount
%define         subrel  2

Name:           pam_mount
Version:        2.13
Release:        %mkrel 1
Summary:        Pluggable Authentication Module for dynamic mounting of remote volumes
License:        GPLv2+ and LGPLv2+
Group:          Networking/Other

URL:            http://pam-mount.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/pam-mount/%{name}-%{version}.tar.xz
Source1:        http://prdownloads.sourceforge.net/pam-mount/%{name}-%{version}.tar.xz.asc

#add a line in pam_mount.conf.xml to enforce the usage of
#umount.crypt for crypted volume. Temporary fix to a non-writable
#/etc/mtab
Patch0:         pam_mount-2.13-umount.crypt.patch
Patch1:         pam_mount-2.13-logctl.patch

Requires:       opensc
BuildRequires:  pkgconfig(libcrypto) >= 0.9.8
BuildRequires:  pkgconfig(libcryptsetup) >= 1.1.2
BuildRequires:  pkgconfig(libHX) >= 3.12.1
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6
BuildRequires:  pkgconfig(mount) >= 2.20
BuildRequires:  pam-devel

%description
Pam_mount is a PAM module that allows dynamic remote volume mounting.
It is mainly useful for users that have private volumes in Samba /
Windows NT / Netware servers and need access to them during a Unix
session.

%package -n %libname
Summary: Shared library for %{name}
Group: Networking/Other

%description -n %libname
This package contains shared libs for %{name}.

%package -n %develname
Summary: Development files for %{name}
Group: Networking/Other
Requires: %libname = %{version}

%description -n %develname
This package contains development files for %{name}.

%prep
%setup -q
%patch0 -p0 -b .old
%patch1 -p1 -b .old

%build
%configure2_5x --disable-static
%make moduledir=/%{_lib}/security

%install
%makeinstall_std moduledir=/%{_lib}/security
install -m0600 config/pam_mount.conf.xml -D %{buildroot}%{_sysconfdir}/security/pam_mount.conf.xml

rm -f %{buildroot}%{_libdir}/*.la

%files 
%doc doc/bugs.txt doc/changelog.txt doc/faq.txt doc/todo.txt doc/pam_mount.txt
/%{_lib}/security/pam_mount*.so
%{_sbindir}/pmt-ehd
%{_sbindir}/pmvarrun
/sbin/mount.crypt
/sbin/mount.crypto_LUKS
/sbin/mount.crypt_LUKS
/sbin/umount.crypt
/sbin/umount.crypt_LUKS
/sbin/umount.crypto_LUKS
%config(noreplace) %{_sysconfdir}/security/%{name}.conf.xml
%{_mandir}/man8/pam_mount.8*
%{_mandir}/man8/pmt-ehd.8*
%{_mandir}/man8/pmvarrun.8*
%{_mandir}/man8/mount.crypt.8*
%{_mandir}/man8/mount.crypt_LUKS.8*
%{_mandir}/man8/mount.crypto_LUKS.8*
%{_mandir}/man8/umount.crypt.8*
%{_mandir}/man8/umount.crypt_LUKS.8*
%{_mandir}/man8/umount.crypto_LUKS.8*
%{_mandir}/man5/pam_mount.conf.5*

%files -n %{libname}
%{_libdir}/libcryptmount.so.%{major}
%{_libdir}/libcryptmount.so.%{major}.*

%files -n %{develname}
%{_includedir}/libcryptmount.h
%{_libdir}/libcryptmount.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Aug 26 2013 eatdirt <eatdirt> 2.13-1.2.mga2
+ Revision: 472051
- Added upstream patch to fix #7124
- Patched to enforce usage of umount.crypt for crypted volumes only
  (bug#5787)

  + fwang <fwang>
    - drop .la file
    - update file list
    - new version 2.13

* Sat Dec 10 2011 fwang <fwang> 2.12-4.mga2
+ Revision: 180154
- rebuild for new cryptsetup

* Wed Dec 07 2011 guillomovitch <guillomovitch> 2.12-3.mga2
+ Revision: 178200
- drop localized summary and description
- more complete upstream patch for libHX, fixing #3645

* Sun Dec 04 2011 fwang <fwang> 2.12-2.mga2
+ Revision: 175880
- more patch on libhx
- fix build with latest libHX
- rebuild for new libHX

* Fri Oct 07 2011 fwang <fwang> 2.12-1.mga2
+ Revision: 152585
- update file list
- new version 2.12
- rebuild for new libhx
- new version 2.10

* Sat Mar 19 2011 boklm <boklm> 2.8-1.mga1
+ Revision: 74570
- imported package pam_mount

